using Gr4vy;
using Gr4vy.Models.Components;
var sdk = new Gr4vySDK(
id: "example",
server: SDKConfig.Server.Sandbox,
bearerAuthSource: Auth.WithToken(privateKey),
merchantAccountId: "default"
);
var res = await sdk.Transactions.CancelAsync(transactionId: "7099948d-7286-47e4-aad8-b68f7eb44591");
// handle response
package main
import(
"context"
"os"
gr4vygo "github.com/gr4vy/gr4vy-go"
"log"
)
func main() {
ctx := context.Background()
s := gr4vy.New(
gr4vy.WithID("example"),
gr4vy.WithServer(gr4vy.ServerSandbox),
gr4vy.WithSecuritySource(withToken),
gr4vy.WithMerchantAccountID("default"),
)
res, err := s.Transactions.Cancel(ctx, "7099948d-7286-47e4-aad8-b68f7eb44591", nil)
if err != nil {
log.Fatal(err)
}
if res != nil {
// handle response
}
}
package hello.world;
import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.models.errors.*;
import com.gr4vy.sdk.models.operations.CancelTransactionResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Gr4vy sdk = Gr4vy.builder()
.id("example")
.server(AvailableServers.SANDBOX)
.merchantAccountId("default")
.securitySource(new BearerSecuritySource.Builder(privateKey).build())
.build();
CancelTransactionResponse res = sdk.transactions().cancel()
.transactionId("7099948d-7286-47e4-aad8-b68f7eb44591")
.call();
if (res.transactionCancel().isPresent()) {
System.out.println(res.transactionCancel().get());
}
}
}
from gr4vy import Gr4vy
import os
with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.transactions.cancel(transaction_id="7099948d-7286-47e4-aad8-b68f7eb44591")
# Handle response
print(res)
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.transactions.cancel("7099948d-7286-47e4-aad8-b68f7eb44591");
console.log(result);
}
run();
{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}
Cancel a transaction
Cancels a pending transaction. If the transaction was successfully authorized, or was already captured, the cancel will not be processed.
POST
/
transactions
/
{transaction_id}
/
cancel
C#
using Gr4vy;
using Gr4vy.Models.Components;
var sdk = new Gr4vySDK(
id: "example",
server: SDKConfig.Server.Sandbox,
bearerAuthSource: Auth.WithToken(privateKey),
merchantAccountId: "default"
);
var res = await sdk.Transactions.CancelAsync(transactionId: "7099948d-7286-47e4-aad8-b68f7eb44591");
// handle response
package main
import(
"context"
"os"
gr4vygo "github.com/gr4vy/gr4vy-go"
"log"
)
func main() {
ctx := context.Background()
s := gr4vy.New(
gr4vy.WithID("example"),
gr4vy.WithServer(gr4vy.ServerSandbox),
gr4vy.WithSecuritySource(withToken),
gr4vy.WithMerchantAccountID("default"),
)
res, err := s.Transactions.Cancel(ctx, "7099948d-7286-47e4-aad8-b68f7eb44591", nil)
if err != nil {
log.Fatal(err)
}
if res != nil {
// handle response
}
}
package hello.world;
import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.models.errors.*;
import com.gr4vy.sdk.models.operations.CancelTransactionResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Gr4vy sdk = Gr4vy.builder()
.id("example")
.server(AvailableServers.SANDBOX)
.merchantAccountId("default")
.securitySource(new BearerSecuritySource.Builder(privateKey).build())
.build();
CancelTransactionResponse res = sdk.transactions().cancel()
.transactionId("7099948d-7286-47e4-aad8-b68f7eb44591")
.call();
if (res.transactionCancel().isPresent()) {
System.out.println(res.transactionCancel().get());
}
}
}
from gr4vy import Gr4vy
import os
with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:
res = g_client.transactions.cancel(transaction_id="7099948d-7286-47e4-aad8-b68f7eb44591")
# Handle response
print(res)
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.transactions.cancel("7099948d-7286-47e4-aad8-b68f7eb44591");
console.log(result);
}
run();
{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}
This endpoint requires the transactions.write scope.You can only cancel a transaction with a status of processing or buyer_approval_pending, on a
connection that supports cancel. To reverse an authorized transaction,
void it instead. See
cancel, void, or refund.
This is the response description received from the payment service. This can be set to any value and is not standardized across different payment services.
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Gr4vy","colors":{"primary":"#0066CC","light":"#0099FF","dark":"#0066CC"},"logo":{"light":"https://mintcdn.com/flexxbuy/AxFxa3X7-38b2HYz/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=AxFxa3X7-38b2HYz\u0026q=85\u0026s=c8c719a4e76f3fc4418d42afd2c0ee99","dark":"https://mintcdn.com/flexxbuy/AxFxa3X7-38b2HYz/assets/logos/dark.svg?fit=max\u0026auto=format\u0026n=AxFxa3X7-38b2HYz\u0026q=85\u0026s=7a09594217c27f95e0d127250c4cc958"},"favicon":"https://mintcdn.com/flexxbuy/39tfKGesfNHyX7HE/assets/favicon.png?fit=max\u0026auto=format\u0026n=39tfKGesfNHyX7HE\u0026q=85\u0026s=fc89afd637da9116e218f41f2c6b1105","api":{"playground":{"display":"simple"},"examples":{"defaults":"required","languages":["csharp","go","java","php","python","javascript","curl"]},"mdx":{"auth":{"method":"bearer"},"server":["https://api.sandbox.flexxbuy.gr4vy.app","https://api.flexxbuy.gr4vy.app"]}},"navbar":{"links":[{"icon":"bell","href":"https://status.gr4vy.com","label":"Status"},{"icon":"github","href":"https://github.com/gr4vy","label":"GitHub"}],"primary":{"type":"button","label":"Gr4vy","href":"https://gr4vy.com/#form-contact"}},"footer":{"socials":{"website":"https://gr4vy.com","twitter":"https://twitter.com/Gr4vyInc","github":"https://github.com/gr4vy","linkedin":"https://www.linkedin.com/company/gr4vy-inc"},"links":[{"header":"About","items":[{"label":"Payment orchestration","href":"https://gr4vy.com/payment-orchestration"},{"label":"Gr4vy for merchants","href":"https://gr4vy.com/merchants"},{"label":"Gr4vy for platforms","href":"https://gr4vy.com/platforms"},{"label":"Increasing your revenue","href":"https://gr4vy.com/revenue"}]},{"header":"Developers","items":[{"label":"GitHub","href":"https://github.com/gr4vy"},{"label":"Latest news","href":"https://docs.gr4vy.com/updates"},{"label":"System status","href":"https://status.gr4vy.com"},{"label":"Customer support","href":"https://support.gr4vy.com"}]}]},"styling":{"eyebrows":"breadcrumbs","codeblocks":"system","latex":true},"integrations":{"gtm":{"tagId":"G-9CX4E9QWKQ"}},"contextual":{"options":["chatgpt","claude","copy","view"],"display":"header"},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"flexxbuy","hasAudioNarration":false,"actualSubdomain":"flexxbuy","customDomains":["docs.byzly.com"],"gitSource":{"type":"github","owner":"gr4vy","repo":"flexxbuy-docs-mintlify","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adf64bc3d6319f7be041995","collectionId":"bdb65d06-a21b-40ca-800b-8b423f379e82","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adf64bc3d6319f7be041995"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6adf64bc3d6319f7be041995","clientVersion":"0.0.3966","searchFilterCounts":[{"language":"default","tag":"Build","count":195},{"language":"default","tag":"API Reference","count":171},{"language":"default","tag":"Connections","count":168},{"language":"default","tag":"Methods","count":141},{"language":"default","tag":"Features","count":95},{"language":"default","tag":"Integration guides","count":91},{"language":"default","tag":"Banking","count":46},{"language":"default","tag":"Dashboard","count":44},{"language":"default","tag":"Other","count":39},{"language":"default","tag":"Embed","count":38}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".payment-service-definition{background-color:#fff!important;border:1px solid #0a0e0d1a;border-radius:16px;padding:2em;vertical-align:middle}.payment-service-definition img{margin:0 1em 0 0;max-width:3em;display:inline-block}.payment-service-definition h2{margin:0;display:inline-block;position:relative;top:.1em}#sidebar-title{text-transform:uppercase}#sidebar-group .group{flex-direction:row-reverse}#footer .max-w-36{max-width:40rem}"}],"page":{"pagePath":"reference/transactions/cancel-transaction","slug":"/reference/transactions/cancel-transaction","pageMetadata":{"title":"Cancel a transaction","openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/cancel","description":"Cancels a pending transaction. If the transaction was successfully authorized, or was already captured, the cancel will not be processed.","href":"/reference/transactions/cancel-transaction"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Cancels a pending transaction. If the transaction was successfully authorized, or was already captured, the cancel will not be processed.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`This endpoint requires the `,_jsx(_components.code,{children:`transactions.write`}),` scope.`]}),`\n`,_jsxs(_components.p,{children:[`You can only cancel a transaction with a `,_jsx(_components.code,{children:`status`}),` of `,_jsx(_components.code,{children:`processing`}),` or `,_jsx(_components.code,{children:`buyer_approval_pending`}),`, on a\nconnection that supports cancel. To reverse an authorized transaction,\n`,_jsx(_components.a,{href:`/reference/transactions/void-transaction`,children:`void`}),` it instead. See\n`,_jsx(_components.a,{href:`/guides/api/statuses/transactions#cancel-void-or-refund`,children:`cancel, void, or refund`}),`.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Cancel a transaction","openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/cancel","description":"Cancels a pending transaction. If the transaction was successfully authorized, or was already captured, the cancel will not be processed.","href":"/reference/transactions/cancel-transaction"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Transactions"],"summary":"Cancel transaction","description":"Cancels a pending transaction. If the transaction was successfully authorized, or was already captured, the cancel will not be processed.","operationId":"cancel_transaction","parameters":["90b92c21-c79f-485f-8404-22fb14b06c36","d8503f23-3842-4591-b6e8-4c01d8afede5"],"responses":{"200":"e0a068dc-1af8-42c9-bb71-08f568dd8f5f","400":"90df509b-5535-475f-807e-8071e6c4c3b4","401":"ce3594b7-4860-4969-9368-4bf4a925eec3","403":"df2b94bc-66de-4d02-b6d7-6ebaae18373d","404":"3bc55179-24bf-4b8b-9454-d7547b7cc7c0","405":"fbef2069-5bad-4d7a-9c97-3a1bd0b07557","409":"5a350cb8-e112-4fff-aa20-5a43e99b0b34","422":"71cef708-5ed4-4de7-aff6-697e8ea86d2f","425":"4157a7b9-55ec-42c9-835a-eb3dad356c95","429":"3534892c-9aec-41bf-9227-fc9d71997655","500":"c7a0a800-9875-4d53-b11b-3aade68850c5","502":"2a589c8d-60b7-48bd-9310-5bfb5e57329b","504":"c905cb5c-4789-4538-a38a-c938cf55523d"},"x-speakeasy-name-override":"cancel","x-speakeasy-group":"transactions","x-codeSamples":[{"lang":"go","label":"Go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vy.New(\n\t\tgr4vy.WithID(\"example\"),\n\t\tgr4vy.WithServer(gr4vy.ServerSandbox),\n\t\tgr4vy.WithSecuritySource(withToken),\n\t\tgr4vy.WithMerchantAccountID(\"default\"),\n\t)\n\n res, err := s.Transactions.Cancel(ctx, \"7099948d-7286-47e4-aad8-b68f7eb44591\", nil)\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n // handle response\n }\n}"},{"lang":"javascript","label":"TypeScript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.transactions.cancel(\"7099948d-7286-47e4-aad8-b68f7eb44591\");\n\n console.log(result);\n}\n\nrun();"},{"lang":"java","label":"Java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.CancelTransactionResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .id(\"example\")\n .server(AvailableServers.SANDBOX)\n .merchantAccountId(\"default\")\n .securitySource(new BearerSecuritySource.Builder(privateKey).build())\n .build();\n\n CancelTransactionResponse res = sdk.transactions().cancel()\n .transactionId(\"7099948d-7286-47e4-aad8-b68f7eb44591\")\n .call();\n\n if (res.transactionCancel().isPresent()) {\n System.out.println(res.transactionCancel().get());\n }\n }\n}"},{"lang":"python","label":"Python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n id=\"example\",\n server=\"sandbox\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.transactions.cancel(transaction_id=\"7099948d-7286-47e4-aad8-b68f7eb44591\")\n\n # Handle response\n print(res)"},{"lang":"csharp","label":"C#","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nvar res = await sdk.Transactions.CancelAsync(transactionId: \"7099948d-7286-47e4-aad8-b68f7eb44591\");\n\n// handle response"},{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n\n\n$response = $sdk->transactions->cancel(\n transactionId: '7099948d-7286-47e4-aad8-b68f7eb44591'\n);\n\nif ($response->transactionCancel !== null) {\n // handle response\n}"}],"method":"post","type":"path","servers":["0048b136-b0cb-4528-8f3a-95ce1a20d337","b15a1711-bb6b-4cdf-9106-1a445dacccf7"],"security":["1c94c691-caf6-424e-b0d4-912fcc945a19"],"path":"/transactions/{transaction_id}/cancel","baseUrlOptions":["https://api.sandbox.{id}.gr4vy.app","https://api.{id}.gr4vy.app"],"title":"Cancel transaction","codeSamples":[{"label":"Go","lang":"go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vy.New(\n\t\tgr4vy.WithID(\"example\"),\n\t\tgr4vy.WithServer(gr4vy.ServerSandbox),\n\t\tgr4vy.WithSecuritySource(withToken),\n\t\tgr4vy.WithMerchantAccountID(\"default\"),\n\t)\n\n res, err := s.Transactions.Cancel(ctx, \"7099948d-7286-47e4-aad8-b68f7eb44591\", nil)\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n // handle response\n }\n}"},{"label":"TypeScript","lang":"javascript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.transactions.cancel(\"7099948d-7286-47e4-aad8-b68f7eb44591\");\n\n console.log(result);\n}\n\nrun();"},{"label":"Java","lang":"java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.CancelTransactionResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .id(\"example\")\n .server(AvailableServers.SANDBOX)\n .merchantAccountId(\"default\")\n .securitySource(new BearerSecuritySource.Builder(privateKey).build())\n .build();\n\n CancelTransactionResponse res = sdk.transactions().cancel()\n .transactionId(\"7099948d-7286-47e4-aad8-b68f7eb44591\")\n .call();\n\n if (res.transactionCancel().isPresent()) {\n System.out.println(res.transactionCancel().get());\n }\n }\n}"},{"label":"Python","lang":"python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n id=\"example\",\n server=\"sandbox\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n) as g_client:\n\n res = g_client.transactions.cancel(transaction_id=\"7099948d-7286-47e4-aad8-b68f7eb44591\")\n\n # Handle response\n print(res)"},{"label":"C#","lang":"csharp","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nvar res = await sdk.Transactions.CancelAsync(transactionId: \"7099948d-7286-47e4-aad8-b68f7eb44591\");\n\n// handle response"},{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n\n\n$response = $sdk->transactions->cancel(\n transactionId: '7099948d-7286-47e4-aad8-b68f7eb44591'\n);\n\nif ($response->transactionCancel !== null) {\n // handle response\n}"}],"requestExampleLanguages":["csharp","go","java","php","python","javascript","bash"],"requiredOnlyExamples":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"90b92c21-c79f-485f-8404-22fb14b06c36":{"name":"transaction_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","description":"The ID of the transaction","examples":["7099948d-7286-47e4-aad8-b68f7eb44591"],"title":"Transaction Id","isRequired":true,"uniqueKey":"","typeLabel":"string\u003cuuid>"},"description":"The ID of the transaction"},"d8503f23-3842-4591-b6e8-4c01d8afede5":{"name":"x-gr4vy-merchant-account-id","in":"header","required":false,"schema":{"oneOf":[{"type":"string","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"The ID of the merchant account to use for this request.","x-speakeasy-name-override":"merchantAccountId"}},"responses":{"e0a068dc-1af8-42c9-bb71-08f568dd8f5f":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"status":{"description":"The status of the cancel call.","examples":["succeeded"],"type":"string","enum":["succeeded","pending","failed"],"title":"CancelStatus","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"code":{"oneOf":[{"type":"string","title":"Code","description":"The standardized error code set by Gr4vy.","example":"service_error","isRequired":true,"uniqueKey":"code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Code","description":"The standardized error code set by Gr4vy.","example":"service_error","isRequired":true,"uniqueKey":"code.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"code","typeLabel":"string | null"},"raw_response_code":{"oneOf":[{"type":"string","title":"Raw Response Code","description":"This is the response code received from the payment service. This can be set to any value and is not standardized across different payment services.","example":"E104","isRequired":true,"uniqueKey":"raw_response_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Raw Response Code","description":"This is the response code received from the payment service. This can be set to any value and is not standardized across different payment services.","example":"E104","isRequired":true,"uniqueKey":"raw_response_code.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"raw_response_code","typeLabel":"string | null"},"raw_response_description":{"oneOf":[{"type":"string","title":"Raw Response Description","description":"This is the response description received from the payment service. This can be set to any value and is not standardized across different payment services.","example":"Internal error","isRequired":true,"uniqueKey":"raw_response_description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Raw Response Description","description":"This is the response description received from the payment service. This can be set to any value and is not standardized across different payment services.","example":"Internal error","isRequired":true,"uniqueKey":"raw_response_description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"raw_response_description","typeLabel":"string | null"},"transaction":{"properties":{"id":{"type":"string","format":"uuid","title":"Id","description":"The ID for the transaction.","examples":["7099948d-7286-47e4-aad8-b68f7eb44591"],"isRequired":true,"uniqueKey":"transaction.id","typeLabel":"string\u003cuuid>"},"reconciliation_id":{"type":"string","title":"Reconciliation Id","description":"The base62 encoded transaction ID. This represents a shorter version of this transaction's `id` which is sent to payment services, anti-fraud services, and other connectors. You can use this ID to reconcile a payment service's transaction against our system. This ID is sent instead of the transaction ID because not all services support 36 digit identifiers.","examples":["default"],"isRequired":true,"uniqueKey":"transaction.reconciliation_id","typeLabel":"string"},"merchant_account_id":{"type":"string","title":"Merchant Account Id","description":"The ID of the merchant account this transaction belongs to.","examples":["default"],"isRequired":true,"uniqueKey":"transaction.merchant_account_id","typeLabel":"string"},"currency":{"type":"string","pattern":"^[A-Z]{3}$","title":"Currency","description":"The currency code for this transaction.","examples":["EUR","GBP","USD"],"isRequired":true,"uniqueKey":"transaction.currency","typeLabel":"string"},"amount":{"type":"integer","title":"Amount","description":"The total amount for this transaction across all funding sources including gift cards.","examples":[1299],"isRequired":true,"uniqueKey":"transaction.amount","typeLabel":"integer"},"status":{"description":"The status of the transaction for the `payment_method`. The status may change over time as asynchronous processing events occur.","examples":["authorization_succeeded"],"type":"string","enum":["processing","authorization_succeeded","authorization_declined","authorization_failed","authorization_voided","authorization_void_pending","capture_succeeded","capture_pending","buyer_approval_pending"],"title":"TransactionStatus","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"transaction.status","typeLabel":"enum\u003cstring>"},"authorized_amount":{"type":"integer","title":"Authorized Amount","description":"The amount for this transaction that has been authorized for the `payment_method`. This can be less than the `amount` if gift cards were used.","examples":[1299],"isRequired":true,"uniqueKey":"transaction.authorized_amount","typeLabel":"integer"},"captured_amount":{"type":"integer","title":"Captured Amount","description":"The total amount captured for this transaction, in the smallest currency unit (for example, cents or pence). This can be the full value of the `authorized_amount` or less.","examples":[1299],"isRequired":true,"uniqueKey":"transaction.captured_amount","typeLabel":"integer"},"refunded_amount":{"type":"integer","title":"Refunded Amount","description":"The total amount refunded for this transaction, in the smallest currency unit (for example, cents or pence). This can be the full value of the `captured_amount` or less.","examples":[1299],"isRequired":true,"uniqueKey":"transaction.refunded_amount","typeLabel":"integer"},"settled_amount":{"type":"integer","title":"Settled Amount","description":"The net amount settled for this transaction, in the smallest currency unit (for example, cents or pence).","examples":[1100],"isRequired":true,"uniqueKey":"transaction.settled_amount","typeLabel":"integer"},"settled":{"type":"boolean","title":"Settled","description":"Indicates whether this transaction has been settled.","examples":[true],"isRequired":true,"uniqueKey":"transaction.settled","typeLabel":"boolean"},"intent":{"description":"The original `intent` used when the transaction was created.","examples":["capture"],"type":"string","enum":["authorize","capture"],"title":"TransactionIntent","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"transaction.intent","typeLabel":"enum\u003cstring>"},"gift_card_redemptions":{"items":{"properties":{"id":{"type":"string","format":"uuid","title":"Id","description":"The ID for the gift card redemption.","examples":["31e65fb1-9c67-432e-9c06-83300b9d4059"],"isRequired":true,"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"status":{"description":"The status of the gift card redemption for the `payment_method`.","examples":["succeeded"],"type":"string","enum":["created","succeeded","failed","skipped"],"title":"GiftCardRedemptionStatus","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"amount":{"type":"integer","title":"Amount","description":"The amount redeemed for this gift card.","examples":[100],"isRequired":true,"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].amount","typeLabel":"integer"},"refunded_amount":{"type":"integer","title":"Refunded Amount","description":"The amount refunded for this gift card. This can not be larger than `amount`.","examples":[50],"isRequired":true,"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].refunded_amount","typeLabel":"integer"},"gift_card":{"properties":{"bin":{"type":"string","title":"Bin","description":"The first 6 digits of the full gift card number.","examples":["412345"],"isRequired":true,"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].gift_card.bin","typeLabel":"string"},"sub_bin":{"type":"string","title":"Sub Bin","description":"The 3 digits after the `bin` of the full gift card number.","examples":["554"],"isRequired":true,"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].gift_card.sub_bin","typeLabel":"string"},"last4":{"type":"string","title":"Last4","description":"The last 4 digits for the gift card.","examples":["1234"],"isRequired":true,"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].gift_card.last4","typeLabel":"string"},"type":{"type":"string","const":"gift-card","title":"Type","description":"Always `gift-card`.","default":"gift-card","examples":["gift-card"],"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].gift_card.type","typeLabel":"string"},"id":{"oneOf":[{"type":"string","title":"Id","description":"The ID for the gift card.","format":"uuid","example":"356d56e5-fe16-42ae-97ee-8d55d846ae2e","uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].gift_card.id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Id","description":"The ID for the gift card.","example":"356d56e5-fe16-42ae-97ee-8d55d846ae2e","uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].gift_card.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].gift_card.id","typeLabel":"string\u003cuuid> | null"}},"additionalProperties":false,"type":"object","required":["bin","sub_bin","last4"],"title":"TransactionGiftCard","description":"The gift card used for this redemption","isRequired":true,"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].gift_card","typeLabel":"TransactionGiftCard · object"},"type":{"type":"string","const":"gift-card-redemption","title":"Type","description":"Always `gift-card-redemption`.","default":"gift-card-redemption","examples":["gift-card-redemption"],"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].type","typeLabel":"string"},"gift_card_service_redemption_id":{"oneOf":[{"type":"string","title":"Gift Card Service Redemption Id","description":"The gift card service's unique ID for the redemption.","example":"xYqd43gySMtori","uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].gift_card_service_redemption_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Gift Card Service Redemption Id","description":"The gift card service's unique ID for the redemption.","example":"xYqd43gySMtori","uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].gift_card_service_redemption_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].gift_card_service_redemption_id","typeLabel":"string | null"},"error_code":{"oneOf":[{"type":"string","title":"GiftCardErrorCode","description":"If this gift card redemption resulted in an error, this will contain the internal code for the error.","enum":["invalid_gift_card","expired_card","inactive_card","invalid_service_credentials","invalid_amount","incorrect_currency","insufficient_funds","invalid_service_configuration","operation_canceled","service_error","service_network_error","unknown_error","max_gift_cards_reached","suspected_fraud","canceled_payment_method","duplicate_transaction","unexpected_state"],"x-speakeasy-unknown-values":"allow","example":"expired_card","uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].error_code.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"If this gift card redemption resulted in an error, this will contain the internal code for the error.","example":"expired_card","uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].error_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].error_code","typeLabel":"enum\u003cstring> | null"},"raw_error_code":{"oneOf":[{"type":"string","title":"Raw Error Code","description":"If this gift card redemption resulted in an error, this will contain the raw error code received from the gift card provider.","example":"10001","uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].raw_error_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Raw Error Code","description":"If this gift card redemption resulted in an error, this will contain the raw error code received from the gift card provider.","example":"10001","uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].raw_error_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].raw_error_code","typeLabel":"string | null"},"raw_error_message":{"oneOf":[{"type":"string","title":"Raw Error Message","description":"If this gift card redemption resulted in an error, this will contain the raw error message received from the gift card provider.","example":"Card expired","uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].raw_error_message.oneOf.0","typeLabel":"string"},{"type":"null","title":"Raw Error Message","description":"If this gift card redemption resulted in an error, this will contain the raw error message received from the gift card provider.","example":"Card expired","uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].raw_error_message.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.gift_card_redemptions.items.[INDEX].raw_error_message","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["id","status","amount","refunded_amount","gift_card"],"title":"GiftCardRedemption","uniqueKey":"transaction.gift_card_redemptions.items.[INDEX]","typeLabel":"GiftCardRedemption · object"},"type":"array","title":"Gift Card Redemptions","description":"The gift cards redeemed for this transaction.","isRequired":true,"uniqueKey":"transaction.gift_card_redemptions","typeLabel":"GiftCardRedemption · object[]"},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"The date and time when the transaction was created, in ISO 8601 format.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"transaction.created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","description":"The date and time when the transaction was last updated, in ISO 8601 format.","examples":["2013-07-16T19:23:00.000+00:00"],"isRequired":true,"uniqueKey":"transaction.updated_at","typeLabel":"string\u003cdate-time>"},"disputed":{"type":"boolean","title":"Disputed","description":"Indicates whether this transaction has been disputed.","examples":[true],"isRequired":true,"uniqueKey":"transaction.disputed","typeLabel":"boolean"},"payment_source":{"description":"The way payment method information made it to this transaction.","examples":["ecommerce"],"type":"string","enum":["ecommerce","moto","recurring","installment","card_on_file"],"title":"TransactionPaymentSource","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"transaction.payment_source","typeLabel":"enum\u003cstring>"},"merchant_initiated":{"type":"boolean","title":"Merchant Initiated","description":"Indicates whether the transaction was initiated by the merchant or the customer.","examples":[true],"isRequired":true,"uniqueKey":"transaction.merchant_initiated","typeLabel":"boolean"},"is_subsequent_payment":{"type":"boolean","title":"Is Subsequent Payment","description":"Indicates whether the transaction represents a subsequent payment or an initial one.","examples":[false],"isRequired":true,"uniqueKey":"transaction.is_subsequent_payment","typeLabel":"boolean"},"intent_outcome":{"description":"The outcome of the original intent of a transaction. This allows you to understand if the intent of the transaction (e.g. `capture` or `authorize`) has been achieved when dealing with multiple payment instruments.","examples":["succeeded"],"type":"string","enum":["pending","succeeded","failed"],"title":"TransactionIntentOutcome","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"transaction.intent_outcome","typeLabel":"enum\u003cstring>"},"multi_tender":{"type":"boolean","title":"Multi Tender","description":"The outcome of the original intent of a transaction. This allows you to understand if the intent of the transaction (e.g. `capture` or `authorize`) has been achieved when dealing with multiple payment instruments.","examples":[true],"isRequired":true,"uniqueKey":"transaction.multi_tender","typeLabel":"boolean"},"account_funding_transaction":{"type":"boolean","title":"Account Funding Transaction","description":"Marks the transaction as an AFT. Requires the payment service to support this feature, and might `recipient` and `buyer` data","examples":[true],"isRequired":true,"uniqueKey":"transaction.account_funding_transaction","typeLabel":"boolean"},"type":{"type":"string","const":"transaction","title":"Type","description":"Always `transaction`.","default":"transaction","examples":["transaction"],"uniqueKey":"transaction.type","typeLabel":"string"},"settled_currency":{"oneOf":[{"type":"string","title":"Settled Currency","description":"The ISO 4217 currency code of this transaction's settlement.","pattern":"^[A-Z]{3}$","example":"USD","uniqueKey":"transaction.settled_currency.oneOf.0","typeLabel":"string"},{"type":"null","title":"Settled Currency","description":"The ISO 4217 currency code of this transaction's settlement.","example":"USD","uniqueKey":"transaction.settled_currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.settled_currency","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"The 2-letter ISO 3166-1 alpha-2 country code for the transaction. Used to filter payment services for processing.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"transaction.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"The 2-letter ISO 3166-1 alpha-2 country code for the transaction. Used to filter payment services for processing.","example":"US","uniqueKey":"transaction.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.country","typeLabel":"string | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"An external identifier that can be used to match the transaction against your own records.","maxLength":200,"minLength":1,"example":"transaction-12345","uniqueKey":"transaction.external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"An external identifier that can be used to match the transaction against your own records.","example":"transaction-12345","uniqueKey":"transaction.external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.external_identifier","typeLabel":"string | null"},"payment_method":{"oneOf":[{"type":"object","title":"TransactionPaymentMethod","description":"The payment method used for this transaction.","required":["method"],"properties":{"method":{"description":"The type of this payment method.","examples":["card"],"type":"string","enum":["abitab","affirm","afterpay","alipay","alipayhk","applepay","arcuspaynetwork","bacs","bancontact","bank","bcp","becs","bitpay","blik","ach","boleto","boost","breb","capitec","card","cashapp","cashappafterpay","chaseorbital","clearpay","click-to-pay","custom_push","custom_redirect","custom_tokenize","dana","dcb","dlocal","duitnow","ebanx","eckoh","efecty","eps","everydaypay","gcash","gem","gemds","gift-card","giropay","givingblock","gocardless","googlepay","googlepay_pan_only","gopay","grabpay","ideal","interac","kakaopay","kcp","khipu","klarna","konbini","latitude","latitudeds","laybuy","linepay","linkaja","maybankqrpay","mercadopago","multibanco","multipago","nequi","netbanking","network-token","nupay","oney_10x","oney_12x","oney_3x","oney_4x","oney_6x","onlinebankingcz","onelink","ovo","oxxo","p24","pagoefectivo","paybybank","payid","paymaya","paysquad","paypal","paypaldirectorder","paypalpaylater","paypay","payto","payvalida","paze","picpay","pix","plaid","pse","rabbitlinepay","razorpay","rapipago","redpagos","scalapay","sepa","servipag","seveneleven","sezzle","shopeepay","singteldash","smartpay","sofort","spei","stitch","swish","stripe","stripedd","stripetoken","tapi","tapifintechs","thaiqr","touchngo","truemoney","trustly","trustlyeurope","upi","venmo","vipps","waave","webpay","wechat","wero","yape","zippay"],"title":"Method","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"transaction.payment_method.oneOf.0.method","typeLabel":"enum\u003cstring>"},"type":{"type":"string","const":"payment-method","title":"Type","description":"Always `payment-method`.","default":"payment-method","examples":["payment-method"],"uniqueKey":"transaction.payment_method.oneOf.0.type","typeLabel":"string"},"approval_url":{"oneOf":[{"type":"string","title":"Approval Url","description":"The optional URL that the buyer needs to be redirected to to further authorize their payment.","example":"https://gr4vy.app/redirect/12345","uniqueKey":"transaction.payment_method.oneOf.0.approval_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Approval Url","description":"The optional URL that the buyer needs to be redirected to to further authorize their payment.","example":"https://gr4vy.app/redirect/12345","uniqueKey":"transaction.payment_method.oneOf.0.approval_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.approval_url","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"The 2-letter ISO code of the country this payment method can be used for. If this value is null the payment method may be used in multiple countries.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"transaction.payment_method.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"The 2-letter ISO code of the country this payment method can be used for. If this value is null the payment method may be used in multiple countries.","example":"US","uniqueKey":"transaction.payment_method.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.country","typeLabel":"string | null"},"currency":{"oneOf":[{"type":"string","title":"Currency","description":"The ISO-4217 currency code that this payment method can be used for. If this value is null the payment method may be used for multiple currencies.","pattern":"^[A-Z]{3}$","example":"USD","uniqueKey":"transaction.payment_method.oneOf.0.currency.oneOf.0","typeLabel":"string"},{"type":"null","title":"Currency","description":"The ISO-4217 currency code that this payment method can be used for. If this value is null the payment method may be used for multiple currencies.","example":"USD","uniqueKey":"transaction.payment_method.oneOf.0.currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.currency","typeLabel":"string | null"},"details":{"oneOf":[{"type":"object","title":"PaymentMethodDetailsCard","description":"Details for credit or debit card payment method.","properties":{"bin":{"oneOf":[{"type":"string","title":"Bin","maxLength":8,"minLength":6,"pattern":"^\\d+$","uniqueKey":"transaction.payment_method.oneOf.0.details.oneOf.0.bin.oneOf.0","typeLabel":"string"},{"type":"null","title":"Bin","uniqueKey":"transaction.payment_method.oneOf.0.details.oneOf.0.bin.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.details.oneOf.0.bin","typeLabel":"string | null"},"card_type":{"oneOf":[{"type":"string","title":"CardType","enum":["credit","debit","prepaid"],"x-speakeasy-unknown-values":"allow","uniqueKey":"transaction.payment_method.oneOf.0.details.oneOf.0.card_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"transaction.payment_method.oneOf.0.details.oneOf.0.card_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.details.oneOf.0.card_type","typeLabel":"enum\u003cstring> | null"},"card_issuer_name":{"oneOf":[{"type":"string","title":"Card Issuer Name","uniqueKey":"transaction.payment_method.oneOf.0.details.oneOf.0.card_issuer_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Card Issuer Name","uniqueKey":"transaction.payment_method.oneOf.0.details.oneOf.0.card_issuer_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.details.oneOf.0.card_issuer_name","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"transaction.payment_method.oneOf.0.details.oneOf.0","typeLabel":"PaymentMethodDetailsCard · object"},{"type":"null","description":"Details for credit or debit card payment method.","uniqueKey":"transaction.payment_method.oneOf.0.details.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.details","typeLabel":"PaymentMethodDetailsCard · object | null"},"expiration_date":{"oneOf":[{"type":"string","title":"Expiration Date","description":"The expiration date for the payment method.","maxLength":5,"minLength":5,"pattern":"^\\d{2}/\\d{2}$","example":"12/30","uniqueKey":"transaction.payment_method.oneOf.0.expiration_date.oneOf.0","typeLabel":"string"},{"type":"null","title":"Expiration Date","description":"The expiration date for the payment method.","example":"12/30","uniqueKey":"transaction.payment_method.oneOf.0.expiration_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.expiration_date","typeLabel":"string | null"},"fingerprint":{"oneOf":[{"type":"string","title":"Fingerprint","description":"The unique hash derived from the payment method identifier (e.g. card number).","example":"20eb353620155d2b5fc864cc46a73ea77cb92c725238650839da1813fa987a17","uniqueKey":"transaction.payment_method.oneOf.0.fingerprint.oneOf.0","typeLabel":"string"},{"type":"null","title":"Fingerprint","description":"The unique hash derived from the payment method identifier (e.g. card number).","example":"20eb353620155d2b5fc864cc46a73ea77cb92c725238650839da1813fa987a17","uniqueKey":"transaction.payment_method.oneOf.0.fingerprint.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.fingerprint","typeLabel":"string | null"},"label":{"oneOf":[{"type":"string","title":"Label","description":"A label for the card or the account. For a paypal payment method this is the user's email address. For a card it is the last 4 digits of the card.","maxLength":320,"minLength":0,"example":"1234","uniqueKey":"transaction.payment_method.oneOf.0.label.oneOf.0","typeLabel":"string"},{"type":"null","title":"Label","description":"A label for the card or the account. For a paypal payment method this is the user's email address. For a card it is the last 4 digits of the card.","example":"1234","uniqueKey":"transaction.payment_method.oneOf.0.label.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.label","typeLabel":"string | null"},"last_replaced_at":{"oneOf":[{"type":"string","title":"Last Replaced At","description":"The date and time when this card was last replaced by the account updater.","format":"date-time","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"transaction.payment_method.oneOf.0.last_replaced_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Last Replaced At","description":"The date and time when this card was last replaced by the account updater.","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"transaction.payment_method.oneOf.0.last_replaced_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.last_replaced_at","typeLabel":"string\u003cdate-time> | null"},"mode":{"oneOf":[{"type":"string","title":"Mode","description":"The mode to use with this payment method.","enum":["card","redirect","applepay","googlepay","checkout-session","click-to-pay","gift-card","bank","paze"],"x-speakeasy-unknown-values":"allow","example":"card","uniqueKey":"transaction.payment_method.oneOf.0.mode.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The mode to use with this payment method.","example":"card","uniqueKey":"transaction.payment_method.oneOf.0.mode.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.mode","typeLabel":"enum\u003cstring> | null"},"scheme":{"oneOf":[{"type":"string","title":"CardScheme","description":"The scheme of the card. Only applies to card payments.","enum":["accel","amex","bancontact","carte-bancaire","cirrus","culiance","dankort","diners-club","discover","eftpos-australia","elo","hipercard","jcb","maestro","mastercard","mir","nyce","other","pulse","qcard","rupay","star","uatp","unionpay","visa"],"x-speakeasy-unknown-values":"allow","example":"visa","uniqueKey":"transaction.payment_method.oneOf.0.scheme.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The scheme of the card. Only applies to card payments.","example":"visa","uniqueKey":"transaction.payment_method.oneOf.0.scheme.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.scheme","typeLabel":"enum\u003cstring> | null"},"id":{"oneOf":[{"type":"string","title":"Id","description":"The ID of the payment method.","format":"uuid","example":"852b951c-d7ea-4c98-b09e-4a1c9e97c077","uniqueKey":"transaction.payment_method.oneOf.0.id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Id","description":"The ID of the payment method.","example":"852b951c-d7ea-4c98-b09e-4a1c9e97c077","uniqueKey":"transaction.payment_method.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.id","typeLabel":"string\u003cuuid> | null"},"approval_target":{"oneOf":[{"type":"string","title":"ApprovalTarget","description":"The browser target that an approval URL must be opened in. If any or null, then there is no specific requirement.","enum":["new_window","any"],"x-speakeasy-unknown-values":"allow","example":"any","uniqueKey":"transaction.payment_method.oneOf.0.approval_target.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The browser target that an approval URL must be opened in. If any or null, then there is no specific requirement.","example":"any","uniqueKey":"transaction.payment_method.oneOf.0.approval_target.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.approval_target","typeLabel":"enum\u003cstring> | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"An external identifier that can be used to match the payment method against your own records.","maxLength":200,"minLength":1,"example":"card-12345","uniqueKey":"transaction.payment_method.oneOf.0.external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"An external identifier that can be used to match the payment method against your own records.","example":"card-12345","uniqueKey":"transaction.payment_method.oneOf.0.external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.external_identifier","typeLabel":"string | null"},"payment_account_reference":{"oneOf":[{"type":"string","title":"Payment Account Reference","description":"The payment account reference (PAR) returned by the card scheme. This is a unique reference to the underlying account that has been used to fund this payment method.","example":"V0010014629724763377327521982","uniqueKey":"transaction.payment_method.oneOf.0.payment_account_reference.oneOf.0","typeLabel":"string"},{"type":"null","title":"Payment Account Reference","description":"The payment account reference (PAR) returned by the card scheme. This is a unique reference to the underlying account that has been used to fund this payment method.","example":"V0010014629724763377327521982","uniqueKey":"transaction.payment_method.oneOf.0.payment_account_reference.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method.oneOf.0.payment_account_reference","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"transaction.payment_method.oneOf.0","typeLabel":"TransactionPaymentMethod · object"},{"type":"null","description":"The payment method used for this transaction.","uniqueKey":"transaction.payment_method.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_method","typeLabel":"TransactionPaymentMethod · object | null"},"method":{"oneOf":[{"type":"string","title":"Method","description":"The method used for the transaction.","enum":["abitab","affirm","afterpay","alipay","alipayhk","applepay","arcuspaynetwork","bacs","bancontact","bank","bcp","becs","bitpay","blik","ach","boleto","boost","breb","capitec","card","cashapp","cashappafterpay","chaseorbital","clearpay","click-to-pay","custom_push","custom_redirect","custom_tokenize","dana","dcb","dlocal","duitnow","ebanx","eckoh","efecty","eps","everydaypay","gcash","gem","gemds","gift-card","giropay","givingblock","gocardless","googlepay","googlepay_pan_only","gopay","grabpay","ideal","interac","kakaopay","kcp","khipu","klarna","konbini","latitude","latitudeds","laybuy","linepay","linkaja","maybankqrpay","mercadopago","multibanco","multipago","nequi","netbanking","network-token","nupay","oney_10x","oney_12x","oney_3x","oney_4x","oney_6x","onlinebankingcz","onelink","ovo","oxxo","p24","pagoefectivo","paybybank","payid","paymaya","paysquad","paypal","paypaldirectorder","paypalpaylater","paypay","payto","payvalida","paze","picpay","pix","plaid","pse","rabbitlinepay","razorpay","rapipago","redpagos","scalapay","sepa","servipag","seveneleven","sezzle","shopeepay","singteldash","smartpay","sofort","spei","stitch","swish","stripe","stripedd","stripetoken","tapi","tapifintechs","thaiqr","touchngo","truemoney","trustly","trustlyeurope","upi","venmo","vipps","waave","webpay","wechat","wero","yape","zippay"],"x-speakeasy-unknown-values":"allow","example":"card","uniqueKey":"transaction.method.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The method used for the transaction.","example":"card","uniqueKey":"transaction.method.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.method","typeLabel":"enum\u003cstring> | null"},"instrument_type":{"oneOf":[{"type":"string","title":"InstrumentType","description":"The name of the instrument used to process the transaction.","enum":["pan","card_token","redirect","redirect_token","googlepay","applepay","network_token","plaid","bank"],"x-speakeasy-unknown-values":"allow","example":"pan","uniqueKey":"transaction.instrument_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The name of the instrument used to process the transaction.","example":"pan","uniqueKey":"transaction.instrument_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.instrument_type","typeLabel":"enum\u003cstring> | null"},"error_code":{"oneOf":[{"type":"string","title":"Error Code","description":"The standardized error code set by Gr4vy.","example":"missing_redirect_url","uniqueKey":"transaction.error_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Error Code","description":"The standardized error code set by Gr4vy.","example":"missing_redirect_url","uniqueKey":"transaction.error_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.error_code","typeLabel":"string | null"},"payment_service":{"oneOf":[{"type":"object","title":"TransactionPaymentService","description":"The payment service used for this transaction.","required":["id","payment_service_definition_id","method","display_name"],"properties":{"id":{"type":"string","format":"uuid","title":"Id","description":"The ID for the payment-service.","examples":["824ff064-7f4b-430b-9801-59aff90d013e"],"isRequired":true,"uniqueKey":"transaction.payment_service.oneOf.0.id","typeLabel":"string\u003cuuid>"},"payment_service_definition_id":{"type":"string","maxLength":50,"minLength":1,"title":"Payment Service Definition Id","description":"The definition ID of the service used to process this payment.","examples":["stripe-card"],"isRequired":true,"uniqueKey":"transaction.payment_service.oneOf.0.payment_service_definition_id","typeLabel":"string"},"method":{"description":"The payment method that this service handles.","examples":["card"],"type":"string","enum":["abitab","affirm","afterpay","alipay","alipayhk","applepay","arcuspaynetwork","bacs","bancontact","bank","bcp","becs","bitpay","blik","ach","boleto","boost","breb","capitec","card","cashapp","cashappafterpay","chaseorbital","clearpay","click-to-pay","custom_push","custom_redirect","custom_tokenize","dana","dcb","dlocal","duitnow","ebanx","eckoh","efecty","eps","everydaypay","gcash","gem","gemds","gift-card","giropay","givingblock","gocardless","googlepay","googlepay_pan_only","gopay","grabpay","ideal","interac","kakaopay","kcp","khipu","klarna","konbini","latitude","latitudeds","laybuy","linepay","linkaja","maybankqrpay","mercadopago","multibanco","multipago","nequi","netbanking","network-token","nupay","oney_10x","oney_12x","oney_3x","oney_4x","oney_6x","onlinebankingcz","onelink","ovo","oxxo","p24","pagoefectivo","paybybank","payid","paymaya","paysquad","paypal","paypaldirectorder","paypalpaylater","paypay","payto","payvalida","paze","picpay","pix","plaid","pse","rabbitlinepay","razorpay","rapipago","redpagos","scalapay","sepa","servipag","seveneleven","sezzle","shopeepay","singteldash","smartpay","sofort","spei","stitch","swish","stripe","stripedd","stripetoken","tapi","tapifintechs","thaiqr","touchngo","truemoney","trustly","trustlyeurope","upi","venmo","vipps","waave","webpay","wechat","wero","yape","zippay"],"title":"Method","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"transaction.payment_service.oneOf.0.method","typeLabel":"enum\u003cstring>"},"display_name":{"type":"string","title":"Display Name","description":"The display name for the payment service.","examples":["Stripe USA"],"isRequired":true,"uniqueKey":"transaction.payment_service.oneOf.0.display_name","typeLabel":"string"},"type":{"type":"string","const":"payment-service","title":"Type","description":"Always `payment-service`.","default":"payment-service","examples":["payment-service"],"uniqueKey":"transaction.payment_service.oneOf.0.type","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"transaction.payment_service.oneOf.0","typeLabel":"TransactionPaymentService · object"},{"type":"null","description":"The payment service used for this transaction.","uniqueKey":"transaction.payment_service.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.payment_service","typeLabel":"TransactionPaymentService · object | null"},"pending_review":{"type":"boolean","title":"Pending Review","description":"Whether a manual anti fraud review is pending with an anti fraud service.","default":false,"examples":[false],"uniqueKey":"transaction.pending_review","typeLabel":"boolean"},"buyer":{"oneOf":[{"type":"object","title":"TransactionBuyer","description":"The buyer used for this transaction.","properties":{"type":{"type":"string","const":"buyer","title":"Type","description":"Always `buyer`.","default":"buyer","examples":["buyer"],"uniqueKey":"transaction.buyer.oneOf.0.type","typeLabel":"string"},"id":{"oneOf":[{"type":"string","title":"Id","description":"The ID for the buyer.","format":"uuid","example":"fe26475d-ec3e-4884-9553-f7356683f7f9","uniqueKey":"transaction.buyer.oneOf.0.id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Id","description":"The ID for the buyer.","example":"fe26475d-ec3e-4884-9553-f7356683f7f9","uniqueKey":"transaction.buyer.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.id","typeLabel":"string\u003cuuid> | null"},"reconciliation_id":{"oneOf":[{"type":"string","title":"Reconciliation Id","description":"The base62 encoded buyer ID. This represents a shorter version of this buyer's `id` which is sent to payment services, anti-fraud services, and other connectors. You can use this ID to reconcile a payment service's buyer against our system.","example":"7jZXl4gBUNl0CnaLEnfXbt","uniqueKey":"transaction.buyer.oneOf.0.reconciliation_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Reconciliation Id","description":"The base62 encoded buyer ID. This represents a shorter version of this buyer's `id` which is sent to payment services, anti-fraud services, and other connectors. You can use this ID to reconcile a payment service's buyer against our system.","example":"7jZXl4gBUNl0CnaLEnfXbt","uniqueKey":"transaction.buyer.oneOf.0.reconciliation_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.reconciliation_id","typeLabel":"string | null"},"display_name":{"oneOf":[{"type":"string","title":"Display Name","description":"The display name for the buyer.","maxLength":200,"minLength":1,"example":"John Doe","uniqueKey":"transaction.buyer.oneOf.0.display_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Display Name","description":"The display name for the buyer.","example":"John Doe","uniqueKey":"transaction.buyer.oneOf.0.display_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.display_name","typeLabel":"string | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"The merchant identifier for this buyer.","maxLength":200,"minLength":1,"example":"buyer-12345","uniqueKey":"transaction.buyer.oneOf.0.external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"The merchant identifier for this buyer.","example":"buyer-12345","uniqueKey":"transaction.buyer.oneOf.0.external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.external_identifier","typeLabel":"string | null"},"billing_details":{"oneOf":[{"type":"object","title":"BillingDetails","description":"The billing name, address, email, and other fields for this buyer.","properties":{"first_name":{"oneOf":[{"type":"string","title":"First Name","description":"The first name(s) or given name for the buyer.","maxLength":255,"minLength":1,"example":"John","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"First Name","description":"The first name(s) or given name for the buyer.","example":"John","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","title":"Last Name","description":"The last name, or family name, of the buyer.","maxLength":255,"minLength":1,"example":"Doe","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Last Name","description":"The last name, or family name, of the buyer.","example":"Doe","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.last_name","typeLabel":"string | null"},"email_address":{"oneOf":[{"type":"string","title":"Email Address","description":"The email address for the buyer.","maxLength":320,"minLength":1,"example":"john@example.com","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.email_address.oneOf.0","typeLabel":"string"},{"type":"null","title":"Email Address","description":"The email address for the buyer.","example":"john@example.com","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.email_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.email_address","typeLabel":"string | null"},"phone_number":{"oneOf":[{"type":"string","title":"Phone Number","description":"The phone number for the buyer which should be formatted according to the E164 number standard.","pattern":"^\\+[1-9]\\d{1,14}$","example":"+1234567890","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.phone_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Phone Number","description":"The phone number for the buyer which should be formatted according to the E164 number standard.","example":"+1234567890","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.phone_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.phone_number","typeLabel":"string | null"},"address":{"oneOf":[{"type":"object","title":"Address","description":"The billing address for the buyer.","properties":{"city":{"oneOf":[{"type":"string","title":"City","description":"The city for the address.","maxLength":100,"minLength":1,"example":"San Jose","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","title":"City","description":"The city for the address.","example":"San Jose","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"The country for the address in ISO 3166 format.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"The country for the address in ISO 3166 format.","example":"US","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.country","typeLabel":"string | null"},"postal_code":{"oneOf":[{"type":"string","title":"Postal Code","description":"The postal code or zip code for the address.","maxLength":50,"minLength":1,"example":"94560","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.postal_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Postal Code","description":"The postal code or zip code for the address.","example":"94560","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.postal_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.postal_code","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","title":"State","description":"The state, county, or province for the address.","maxLength":255,"minLength":1,"example":"California","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","title":"State","description":"The state, county, or province for the address.","example":"California","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"state_code":{"oneOf":[{"type":"string","title":"State Code","description":"The code of state, county, or province for the address in ISO 3166-2 format.","pattern":"^[A-Z]{2}-[A-Z0-9]{1,3}$","example":"US-CA","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"State Code","description":"The code of state, county, or province for the address in ISO 3166-2 format.","example":"US-CA","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.state_code","typeLabel":"string | null"},"house_number_or_name":{"oneOf":[{"type":"string","title":"House Number Or Name","description":"The house number or name for the address. Not all payment services use this field but some do.","maxLength":255,"minLength":1,"example":"10","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.house_number_or_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"House Number Or Name","description":"The house number or name for the address. Not all payment services use this field but some do.","example":"10","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.house_number_or_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.house_number_or_name","typeLabel":"string | null"},"line1":{"oneOf":[{"type":"string","title":"Line1","description":"The first line of the address.","maxLength":255,"minLength":1,"example":"Stafford Appartments","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line1","description":"The first line of the address.","example":"Stafford Appartments","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","title":"Line2","description":"The second line of the address.","maxLength":255,"minLength":1,"example":"29th Street","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line2","description":"The second line of the address.","example":"29th Street","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"organization":{"oneOf":[{"type":"string","title":"Organization","description":"The optional name of the company or organisation to add to the address.","maxLength":255,"minLength":1,"example":"Gr4vy","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.organization.oneOf.0","typeLabel":"string"},{"type":"null","title":"Organization","description":"The optional name of the company or organisation to add to the address.","example":"Gr4vy","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.organization.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0.organization","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.0","typeLabel":"Address · object"},{"type":"null","description":"The billing address for the buyer.","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.address","typeLabel":"Address · object | null"},"tax_id":{"oneOf":[{"type":"object","title":"TaxId","description":"The tax ID information associated with the billing details.","required":["value","kind"],"properties":{"value":{"type":"string","maxLength":50,"minLength":1,"title":"Value","description":"The tax ID for the buyer.","examples":["12345678931"],"isRequired":true,"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.0.value","typeLabel":"string"},"kind":{"description":"The kind of tax ID","examples":["us.ein"],"type":"string","enum":["ae.trn","au.abn","ar.dni","ar.cuil","ar.cuit","br.cnpj","br.cpf","ca.bn","ca.gst_hst","ca.pst_bc","ca.pst_mb","ca.pst_sk","ca.qst","ch.vat","cl.tin","co.itin","co.nit","co.cc","co.ce","co.de","co.rc","co.ti","co.passport","es.cif","eu.vat","gb.vat","hk.br","id.nik","id.npwp","in.gst","in.pan","jp.cn","jp.rn","kr.brn","li.uid","mx.curp","mx.rfc","my.frp","my.itn","my.nric","my.sst","no.vat","nz.gst","pe.ruc","ph.tin","ru.inn","ru.kpp","sa.vat","sg.gst","sg.uen","th.id","th.vat","tw.vat","us.ein","za.vat","bo.ci","uy.rut","uy.ci"],"title":"TaxIdKind","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.0.kind","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.0","typeLabel":"TaxId · object"},{"type":"null","description":"The tax ID information associated with the billing details.","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.tax_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0.tax_id","typeLabel":"TaxId · object | null"}},"additionalProperties":false,"uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.0","typeLabel":"BillingDetails · object"},{"type":"null","description":"The billing name, address, email, and other fields for this buyer.","uniqueKey":"transaction.buyer.oneOf.0.billing_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.billing_details","typeLabel":"BillingDetails · object | null"},"account_number":{"oneOf":[{"type":"string","title":"Account Number","description":"The buyer account number.","maxLength":200,"minLength":1,"uniqueKey":"transaction.buyer.oneOf.0.account_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Account Number","description":"The buyer account number.","uniqueKey":"transaction.buyer.oneOf.0.account_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer.oneOf.0.account_number","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"transaction.buyer.oneOf.0","typeLabel":"TransactionBuyer · object"},{"type":"null","description":"The buyer used for this transaction.","uniqueKey":"transaction.buyer.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.buyer","typeLabel":"TransactionBuyer · object | null"},"raw_response_code":{"oneOf":[{"type":"string","title":"Raw Response Code","description":"This is the response code received from the payment service. This can be set to any value and is not standardized across different payment services.","example":"E104","uniqueKey":"transaction.raw_response_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Raw Response Code","description":"This is the response code received from the payment service. This can be set to any value and is not standardized across different payment services.","example":"E104","uniqueKey":"transaction.raw_response_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.raw_response_code","typeLabel":"string | null"},"raw_response_description":{"oneOf":[{"type":"string","title":"Raw Response Description","description":" This is the response description received from the payment service. This can be set to any value and is not standardized across different payment services.","example":"Missing redirect URL","uniqueKey":"transaction.raw_response_description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Raw Response Description","description":" This is the response description received from the payment service. This can be set to any value and is not standardized across different payment services.","example":"Missing redirect URL","uniqueKey":"transaction.raw_response_description.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.raw_response_description","typeLabel":"string | null"},"shipping_details":{"oneOf":[{"type":"object","title":"ShippingDetails","description":"The shipping details associated with the transaction.","properties":{"first_name":{"oneOf":[{"type":"string","title":"First Name","description":"The first name(s) or given name for the buyer.","maxLength":255,"minLength":1,"example":"John","uniqueKey":"transaction.shipping_details.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"First Name","description":"The first name(s) or given name for the buyer.","example":"John","uniqueKey":"transaction.shipping_details.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","title":"Last Name","description":"The last name, or family name, of the buyer.","maxLength":255,"minLength":1,"example":"Doe","uniqueKey":"transaction.shipping_details.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Last Name","description":"The last name, or family name, of the buyer.","example":"Doe","uniqueKey":"transaction.shipping_details.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.last_name","typeLabel":"string | null"},"email_address":{"oneOf":[{"type":"string","title":"Email Address","description":"The email address for the buyer.","maxLength":320,"minLength":1,"example":"john@example.com","uniqueKey":"transaction.shipping_details.oneOf.0.email_address.oneOf.0","typeLabel":"string"},{"type":"null","title":"Email Address","description":"The email address for the buyer.","example":"john@example.com","uniqueKey":"transaction.shipping_details.oneOf.0.email_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.email_address","typeLabel":"string | null"},"phone_number":{"oneOf":[{"type":"string","title":"Phone Number","description":"The phone number for the buyer which should be formatted according to the E164 number standard.","pattern":"^\\+[1-9]\\d{1,14}$","example":"+1234567890","uniqueKey":"transaction.shipping_details.oneOf.0.phone_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Phone Number","description":"The phone number for the buyer which should be formatted according to the E164 number standard.","example":"+1234567890","uniqueKey":"transaction.shipping_details.oneOf.0.phone_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.phone_number","typeLabel":"string | null"},"address":{"oneOf":[{"type":"object","title":"Address","description":"The billing address for the buyer.","properties":{"city":{"oneOf":[{"type":"string","title":"City","description":"The city for the address.","maxLength":100,"minLength":1,"example":"San Jose","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","title":"City","description":"The city for the address.","example":"San Jose","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"The country for the address in ISO 3166 format.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"The country for the address in ISO 3166 format.","example":"US","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.country","typeLabel":"string | null"},"postal_code":{"oneOf":[{"type":"string","title":"Postal Code","description":"The postal code or zip code for the address.","maxLength":50,"minLength":1,"example":"94560","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.postal_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Postal Code","description":"The postal code or zip code for the address.","example":"94560","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.postal_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.postal_code","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","title":"State","description":"The state, county, or province for the address.","maxLength":255,"minLength":1,"example":"California","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","title":"State","description":"The state, county, or province for the address.","example":"California","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"state_code":{"oneOf":[{"type":"string","title":"State Code","description":"The code of state, county, or province for the address in ISO 3166-2 format.","pattern":"^[A-Z]{2}-[A-Z0-9]{1,3}$","example":"US-CA","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.state_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"State Code","description":"The code of state, county, or province for the address in ISO 3166-2 format.","example":"US-CA","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.state_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.state_code","typeLabel":"string | null"},"house_number_or_name":{"oneOf":[{"type":"string","title":"House Number Or Name","description":"The house number or name for the address. Not all payment services use this field but some do.","maxLength":255,"minLength":1,"example":"10","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.house_number_or_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"House Number Or Name","description":"The house number or name for the address. Not all payment services use this field but some do.","example":"10","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.house_number_or_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.house_number_or_name","typeLabel":"string | null"},"line1":{"oneOf":[{"type":"string","title":"Line1","description":"The first line of the address.","maxLength":255,"minLength":1,"example":"Stafford Appartments","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line1","description":"The first line of the address.","example":"Stafford Appartments","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","title":"Line2","description":"The second line of the address.","maxLength":255,"minLength":1,"example":"29th Street","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","title":"Line2","description":"The second line of the address.","example":"29th Street","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"organization":{"oneOf":[{"type":"string","title":"Organization","description":"The optional name of the company or organisation to add to the address.","maxLength":255,"minLength":1,"example":"Gr4vy","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.organization.oneOf.0","typeLabel":"string"},{"type":"null","title":"Organization","description":"The optional name of the company or organisation to add to the address.","example":"Gr4vy","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.organization.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0.organization","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.0","typeLabel":"Address · object"},{"type":"null","description":"The billing address for the buyer.","uniqueKey":"transaction.shipping_details.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.address","typeLabel":"Address · object | null"},"id":{"oneOf":[{"type":"string","title":"Id","description":"The ID for the shipping details.","format":"uuid","example":"bf8c36ad-02d9-4904-b0f9-a230b149e341","uniqueKey":"transaction.shipping_details.oneOf.0.id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Id","description":"The ID for the shipping details.","example":"bf8c36ad-02d9-4904-b0f9-a230b149e341","uniqueKey":"transaction.shipping_details.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.id","typeLabel":"string\u003cuuid> | null"},"buyer_id":{"oneOf":[{"type":"string","title":"Buyer Id","description":"The ID for the buyer.","format":"uuid","example":"fe26475d-ec3e-4884-9553-f7356683f7f9","uniqueKey":"transaction.shipping_details.oneOf.0.buyer_id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Buyer Id","description":"The ID for the buyer.","example":"fe26475d-ec3e-4884-9553-f7356683f7f9","uniqueKey":"transaction.shipping_details.oneOf.0.buyer_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details.oneOf.0.buyer_id","typeLabel":"string\u003cuuid> | null"},"type":{"type":"string","const":"shipping-details","title":"Type","description":"Always `shipping-details`.","default":"shipping-details","examples":["shipping-details"],"uniqueKey":"transaction.shipping_details.oneOf.0.type","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"transaction.shipping_details.oneOf.0","typeLabel":"ShippingDetails · object"},{"type":"null","description":"The shipping details associated with the transaction.","uniqueKey":"transaction.shipping_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.shipping_details","typeLabel":"ShippingDetails · object | null"},"checkout_session_id":{"oneOf":[{"type":"string","title":"Checkout Session Id","description":"The identifier for the checkout session this transaction is associated with.","format":"uuid","example":"4137b1cf-39ac-42a8-bad6-1c680d5dab6b","uniqueKey":"transaction.checkout_session_id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Checkout Session Id","description":"The identifier for the checkout session this transaction is associated with.","example":"4137b1cf-39ac-42a8-bad6-1c680d5dab6b","uniqueKey":"transaction.checkout_session_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.checkout_session_id","typeLabel":"string\u003cuuid> | null"},"gift_card_service":{"oneOf":[{"type":"object","title":"GiftCardService","description":"The gift card service used for this transaction.","required":["id","gift_card_service_definition_id","display_name"],"properties":{"id":{"type":"string","format":"uuid","title":"Id","description":"The ID for the gift card service.","examples":["35b60feec-a7c7-4844-b503-f39b09192d81"],"isRequired":true,"uniqueKey":"transaction.gift_card_service.oneOf.0.id","typeLabel":"string\u003cuuid>"},"gift_card_service_definition_id":{"description":"The ID of the definition for this service.","examples":["qwikcilver-gift-card"],"type":"string","enum":["mock-gift-card","qwikcilver-gift-card","valuelink-gift-card"],"title":"GiftCardServiceProvider","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"transaction.gift_card_service.oneOf.0.gift_card_service_definition_id","typeLabel":"enum\u003cstring>"},"display_name":{"type":"string","maxLength":200,"minLength":1,"title":"Display Name","description":"The display name for the gift card service.","examples":["Qwikcilver USA"],"isRequired":true,"uniqueKey":"transaction.gift_card_service.oneOf.0.display_name","typeLabel":"string"},"type":{"type":"string","const":"gift-card-service","title":"Type","description":"Always `gift-card-service`.","default":"gift-card-service","examples":["gift-card-service"],"uniqueKey":"transaction.gift_card_service.oneOf.0.type","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"transaction.gift_card_service.oneOf.0","typeLabel":"GiftCardService · object"},{"type":"null","description":"The gift card service used for this transaction.","uniqueKey":"transaction.gift_card_service.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.gift_card_service","typeLabel":"GiftCardService · object | null"},"reauthorized_from_transaction_id":{"oneOf":[{"type":"string","title":"Reauthorized From Transaction Id","description":"The identifier of the transaction from which this transaction was reauthorized.","format":"uuid","example":"4137b1cf-39ac-42a8-bad6-1c680d5dab6b","uniqueKey":"transaction.reauthorized_from_transaction_id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Reauthorized From Transaction Id","description":"The identifier of the transaction from which this transaction was reauthorized.","example":"4137b1cf-39ac-42a8-bad6-1c680d5dab6b","uniqueKey":"transaction.reauthorized_from_transaction_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.reauthorized_from_transaction_id","typeLabel":"string\u003cuuid> | null"},"airline":{"oneOf":[{"type":"object","title":"Airline","description":"Contains information about an airline travel, if applicable.","properties":{"booking_code":{"oneOf":[{"type":"string","title":"Booking Code","description":"The unique identifier of the reservation in the global distribution system.","maxLength":50,"minLength":1,"example":"X36Q9C","uniqueKey":"transaction.airline.oneOf.0.booking_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Booking Code","description":"The unique identifier of the reservation in the global distribution system.","example":"X36Q9C","uniqueKey":"transaction.airline.oneOf.0.booking_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.airline.oneOf.0.booking_code","typeLabel":"string | null"},"is_cardholder_traveling":{"oneOf":[{"type":"boolean","title":"Is Cardholder Traveling","description":"Indicates whether the cardholder is traveling.","example":true,"uniqueKey":"transaction.airline.oneOf.0.is_cardholder_traveling.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Is Cardholder Traveling","description":"Indicates whether the cardholder is traveling.","example":true,"uniqueKey":"transaction.airline.oneOf.0.is_cardholder_traveling.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.airline.oneOf.0.is_cardholder_traveling","typeLabel":"boolean | null"},"issued_address":{"oneOf":[{"type":"string","title":"Issued Address","description":"The address of the place/agency that issued the ticket.","maxLength":255,"minLength":1,"example":"123 Broadway, New York","uniqueKey":"transaction.airline.oneOf.0.issued_address.oneOf.0","typeLabel":"string"},{"type":"null","title":"Issued Address","description":"The address of the place/agency that issued the ticket.","example":"123 Broadway, New York","uniqueKey":"transaction.airline.oneOf.0.issued_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.airline.oneOf.0.issued_address","typeLabel":"string | null"},"issued_at":{"oneOf":[{"type":"string","title":"Issued At","description":"The date that the ticket was last issued in the airline reservation system.","format":"date-time","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"transaction.airline.oneOf.0.issued_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Issued At","description":"The date that the ticket was last issued in the airline reservation system.","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"transaction.airline.oneOf.0.issued_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.airline.oneOf.0.issued_at","typeLabel":"string\u003cdate-time> | null"},"issuing_carrier_code":{"oneOf":[{"type":"string","title":"Issuing Carrier Code","description":"For airline aggregators, three-character IATA code of the airline issuing the ticket.","maxLength":3,"minLength":2,"example":"649","uniqueKey":"transaction.airline.oneOf.0.issuing_carrier_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Issuing Carrier Code","description":"For airline aggregators, three-character IATA code of the airline issuing the ticket.","example":"649","uniqueKey":"transaction.airline.oneOf.0.issuing_carrier_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.airline.oneOf.0.issuing_carrier_code","typeLabel":"string | null"},"issuing_carrier_name":{"oneOf":[{"type":"string","title":"Issuing Carrier Name","description":"For airline aggregators, name of the airline issuing the ticket.","minLength":1,"example":"Air Transat A.T. Inc","uniqueKey":"transaction.airline.oneOf.0.issuing_carrier_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Issuing Carrier Name","description":"For airline aggregators, name of the airline issuing the ticket.","example":"Air Transat A.T. Inc","uniqueKey":"transaction.airline.oneOf.0.issuing_carrier_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"transaction.airline.oneOf.0.issuing_carrier_name","typeLabel":"string | null"},"issuing_iata_designator":{"oneOf":[{"type":"string","title":"Issuing Iata Designator","description":"For airline aggregators, two-character IATA code of the airline issuing the ticket.","maxLength":2,"minLength":2,"example":"TS","uniqueKey":"transaction.airline.oneOf.0.issuing_iata_designator.oneOf.0","typeLabel":"string"},{"type":"null","title":"Issuing Iata Designator","d
[...]
